script "tarballs" not working

Questions and problems about using polymake go here.

Moderator: Moderators

maudi
Posts: 7
Joined: 07 Feb 2011, 18:29

script "tarballs" not working

Postby maudi » 14 Apr 2011, 15:46

Hello,

this must be an easy question, but I am a polymake newbie. I use polymake 2.9.9 on openSUSE 11.4. and have unfortunately a little trouble in using it.

A problem appeared with the “How to: Saving and Restoring an Array of Polytopes“ (http://polymake.org/doku.php/howto/tarballs) on my older version of polymake using openSUSE 11.4.

I followed the steps as described and got the following error:

polytope > pack_tarball("simple_polytopes.tgz",@a);
polymake: ERROR: Object Polytope<Rational> does not have a property or method file_suffix at input line 1

I tried the same with the workshop version on the Ubuntu live CD (USB Stick) and it worked.
Installing the workshop version 2.9.10 on openSUSE 11.4 failed.
Did anybody get the version 2.9.10 installed on openSUSE 11.4?

What cold be wrong or did I forget to install some necessary software?

Thanks for your help!
Mandy

herr
Developer
Posts: 41
Joined: 30 Dec 2010, 13:15

Re: script "tarballs" not working

Postby herr » 14 Apr 2011, 16:03

Could you specify the problem with the installation of polymake 2.9.10? Is there an error message? Maybe, the correct version of GMP or MPFR is missing...

blorenz
Developer
Posts: 109
Joined: 10 Jan 2011, 17:21

Re: script "tarballs" not working

Postby blorenz » 14 Apr 2011, 16:39

I can confirm that polymake 2.9.10 runs on opensuse 11.4 (x86_64) as this is one of our testsystems.
The configure script should tell you if there is anything missing. If in doubt, just post any error message you get.

One thing I would recommend for openSUSE 11.4 is to pass

Code: Select all

CXXOPT=-O1
to configure.
(The only available gcc is version 4.5 which has some strange optimizations which might break parts of polymake with the default -O3 level).

User avatar
joswig
Main Author
Posts: 221
Joined: 24 Dec 2010, 11:10

Re: script "tarballs" not working

Postby joswig » 14 Apr 2011, 16:42

Actually, -O1 is quite harsh (in terms of performance). Another option (if performance does matter) build a vanilla gcc 4.3 or 4.4 from scratch and use that one.
Last edited by joswig on 15 Apr 2011, 10:46, edited 1 time in total.

paffenholz
Developer
Posts: 182
Joined: 24 Dec 2010, 13:47

Re: script "tarballs" not working

Postby paffenholz » 14 Apr 2011, 16:52

The failure of the tarball script is a known error in 2.9.9. You will need version 2.9.10 if you want to use it.

maudi
Posts: 7
Joined: 07 Feb 2011, 18:29

Re: script "tarballs" not working

Postby maudi » 14 Apr 2011, 18:34

Many thanks to all for the quick answers!
It was very helpful!

With the hint using CXX0PT=-1 the new version could be installed.

I am sure, this was not my last question ;-)


Return to “Helpdesk”

cron